Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.nio
Class XMPPEncoder

    java.lang.Object
      org.apache.mina.filter.codec.ProtocolEncoderAdapter
          org.jivesoftware.openfire.nio.XMPPEncoder

All Implemented Interfaces:
  org.apache.mina.filter.codec.ProtocolEncoder

    public class XMPPEncoder

extends org.apache.mina.filter.codec.ProtocolEncoderAdapter

Encoder that does nothing. We are already writing ByteBuffers so there is no need to encode them.

This class exists as a counterpart of `XMPPDecoder`. Unlike that class this class does nothing.

Author:
  Gaston Dombiak

Constructor Summary
`XMPPEncoder()`

Method Summary
`void` | `encode(org.apache.mina.common.IoSession session, Object message, org.apache.mina.filter.codec.ProtocolEncoderOutput out)`

Methods inherited from class org.apache.mina.filter.codec.ProtocolEncoderAdapter
`dispose`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMPPEncoder

    public XMPPEncoder()

Method Detail

### encode

    public void encode(org.apache.mina.common.IoSession session,
                       Object message,
                       org.apache.mina.filter.codec.ProtocolEncoderOutput out)
                throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.